API Reference / Companies

GET /companies/{company_id}/calls

Get calls associated with a specific company

Returns calls logged against the contacts that belong to this company, most recently updated first — the company's own contacts only, not contacts merely linked to it. Paging and date filters match GET /calls.

Path parameters

Name Type Description
company_id req string Company ID
Query parameters (9)
Name Type Description
date_filter string Signals which date field to be used for only returning resources, added or edited, in a specified date range (only to be used with `since` and/or `until`, not with `modified_since` or `unmodified_since`)
since string Specifies the start of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp)
until string Specifies the end of the date range to filter resources, which have been added or edited (use with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp)
modified_since string Return only resources that were modified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp)
unmodified_since string Return only resources that were unmodified since specified time (cannot be used with `date_filter` - date must be in format `YYYY-MM-DD` or UNIX timestamp)
sort_by string Specify field by which to order the results (use in conjunction with `order`)
order string Specify the order (ascending or descending) of the sort of the results (use in conjunction with `sort_by`)
page integer Page number. Starts from 1. Default is 1.
per_page integer Number of records to return. Maximum 100 allowed. Default is 10.

Responses

200 OK
  • statusintegerint32

    Response code

  • messagestring

    Response message

  • timestampintegerunix-timestamp

    Response time

  • dataobject
    object fields →
    • callsarray<object>
      array item fields →
      • callobject

        Allow you to keep track of phone calls made to your contacts. Calls include information like the phone number dialled and the call result. Calls support file attachments.

        object fields →
        • idstringbson-id

          ID of the call

        • contact_idstringbson-idrequired

          ID of the contact, to whom the call belongs

        • textstring

          Extra details related to the call (supports `[b]bold[/b]` and `[i]italic[/i]` formatting)

        • call_resultstring

          Key of the `call_result` which best describes the result of the call

        • call_time_intintegerunix-timestamp

          Time the call occurred in UNIX Epoch time in seconds (defaults to current time, if left blank).

        • viastring

          Through which application did the call take place

          enum: unknown · jabber · talkdesk · phone

        • phone_numberstring

          Phone number used to make the call

        • recording_linkstring

          URL of the recording of the call conversation

        • authorstring

          Shortened name of the creator of the call. Defaults to the logged API user.

        • attachmentsarray<object>

          Files attached to the call.

          array item fields →
          • idstringbson-id

            ID of the attachment

          • filenamestringrequired

            Name of the attachment file

          • custom_filenamestring

            Custom name of the attachment file

          • pinnedboolean

            Show if the attachment is pinned to its owner contact

          • pinned_atstring

            Shows pinned at timestamp. Is null if pinned == false

          • sizeintegerint32required

            Size of the attachment file (in bytes)

          • storage_providerstring

            Name of the storage provider (where the attachment file is stored)

            enum: amazon · google_drive · dropbox · evernote

          • urlstring

            External URL of the attachment file

          • url_expires_atstringdate-time

            The time the attachment URL expires

          • thumbnailobject

            An image preview of the attachment file (if one exists)

            object fields →
            • urlstring

              External URL of the attachment's thumbnail

        • created_atstringdate-time

          Creation time of the call

        • modified_atstringdate-time

          Last modification time of the call

        • indexintegerint32

          Index of the call (in the results set)

    • total_countintegerint32

      Total number of items

    • pageintegerint32

      Current page number

    • per_pageintegerint32

      Number of items returned in each page

    • max_pageintegerint32

      The page number of the last page of items

Standard error responses: 400 · 401 · 403 · 404 · 409 · 500 — shared across the API. See Errors.

Related guides